For the complete documentation index, see llms.txt. This page is also available as Markdown.

Taxonomy topics

Taxonomies are used to classify works.

Taxonomies are used to categorise and group works. Taxonomies are made up of topics that form a tree structure. Each topic has a unique slug which identifies the topic.

A work may be associated with zero, one or many taxonomy topics.

List taxonomy topics

get

API endpoint for listing taxonomy topics. Taxonomy topics are a tree structure of topics that are applied to documents to categorise them.

Authorizations
sessionidstringRequired
Query parameters
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerOptionalExample: 123
nextstring · nullableOptional
previousstring · nullableOptional
get/v3/taxonomy-topics
200Success

Get a taxonomy topic

get

API endpoint for listing taxonomy topics. Taxonomy topics are a tree structure of topics that are applied to documents to categorise them.

Authorizations
sessionidstringRequired
Path parameters
slugstringRequired

Unique short name (code) for the topic.

Responses
200Success
application/json

Details of an entry in the taxonomy topic tree.

namestring · max: 512Required

Name of the taxonomy topic

slugstring · max: 4096Required

Unique short name (code) for the topic.

Pattern: ^[-a-zA-Z0-9_]+$
idintegerRead-onlyRequired
get/v3/taxonomy-topics/{slug}
200Success

List work expressions tagged with a taxonomy topic

get

List of work expressions for a taxonomy topic.

Authorizations
sessionidstringRequired
Path parameters
slugstringRequired
Query parameters
created_atstring · date-timeOptional
created_at__gtestring · date-timeOptional
created_at__ltestring · date-timeOptional
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

updated_atstring · date-timeOptional
updated_at__gtestring · date-timeOptional
updated_at__ltestring · date-timeOptional
Responses
200Success
application/json
countintegerOptionalExample: 123
nextstring · nullableOptional
previousstring · nullableOptional
get/v3/taxonomy-topics/{slug}/work-expressions
200Success

Last updated